Quote Originally Posted by anbog View Post
Does this mean that Lucid will upgrade to Firefox 4.0 when it is released, or wait until Mozilla drops support for the 3.6.x series?
It's LTS so it's more likely that it'd get 4.0 sometime much later than the 4.0 release, but as it's a newer whole number version (which may present some new changes which make other older 3.xx plugins etc incompatible) it's hard to be sure.